jm.music.tools.ga

## Class NormalDistributionFE

- java.lang.Object
- - jm.music.tools.ga.GAComponent
  - - jm.music.tools.ga.FitnessEvaluater
    - - jm.music.tools.ga.NormalDistributionFE

-     public class NormalDistributionFE
      extends FitnessEvaluater

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `duration`
    `protected java.awt.Label` | `F10Label`
    `protected java.awt.Label` | `F11Label`
    `protected java.awt.Label` | `F12Label`
    `protected java.awt.Label` | `F13Label`
    `protected java.awt.Label` | `F14Label`
    `protected java.awt.Label` | `F15Label`
    `protected java.awt.Label` | `F16Label`
    `protected java.awt.Label` | `F17Label`
    `protected java.awt.Label` | `F18Label`
    `protected java.awt.Label` | `F19Label`
    `protected java.awt.Label` | `F1Label`
    `protected java.awt.Label` | `F20Label`
    `protected java.awt.Label` | `F21Label`
    `protected java.awt.Label` | `F22Label`
    `protected java.awt.Label` | `F23Label`
    `protected java.awt.Label` | `F2Label`
    `protected java.awt.Label` | `F3Label`
    `protected java.awt.Label` | `F4Label`
    `protected java.awt.Label` | `F5Label`
    `protected java.awt.Label` | `F6Label`
    `protected java.awt.Label` | `F7Label`
    `protected java.awt.Label` | `F8Label`
    `protected java.awt.Label` | `F9Label`
    `protected static java.lang.String` | `label`
    `protected java.awt.Panel` | `panel`
    `static int[]` | `scale`
    `static int` | `tonic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalDistributionFE()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `evaluate(Phrase[] population)`
    `java.lang.String` | `getLabel()`
    `java.awt.Panel` | `getPanel()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected static java.lang.String label

    - #### panel

          protected java.awt.Panel panel

    - #### F1Label

          protected java.awt.Label F1Label

    - #### F2Label

          protected java.awt.Label F2Label

    - #### F3Label

          protected java.awt.Label F3Label

    - #### F4Label

          protected java.awt.Label F4Label

    - #### F5Label

          protected java.awt.Label F5Label

    - #### F6Label

          protected java.awt.Label F6Label

    - #### F7Label

          protected java.awt.Label F7Label

    - #### F8Label

          protected java.awt.Label F8Label

    - #### F9Label

          protected java.awt.Label F9Label

    - #### F10Label

          protected java.awt.Label F10Label

    - #### F11Label

          protected java.awt.Label F11Label

    - #### F12Label

          protected java.awt.Label F12Label

    - #### F13Label

          protected java.awt.Label F13Label

    - #### F14Label

          protected java.awt.Label F14Label

    - #### F15Label

          protected java.awt.Label F15Label

    - #### F16Label

          protected java.awt.Label F16Label

    - #### F17Label

          protected java.awt.Label F17Label

    - #### F18Label

          protected java.awt.Label F18Label

    - #### F19Label

          protected java.awt.Label F19Label

    - #### F20Label

          protected java.awt.Label F20Label

    - #### F21Label

          protected java.awt.Label F21Label

    - #### F22Label

          protected java.awt.Label F22Label

    - #### F23Label

          protected java.awt.Label F23Label

    - #### duration

          public static final double duration

      See Also:
        Constant Field Values

    - #### tonic

          public static final int tonic

      See Also:
        Constant Field Values

    - #### scale

          public static final int[] scale

  - ### Constructor Detail

    - #### NormalDistributionFE

          public NormalDistributionFE()

  - ### Method Detail

    - #### evaluate

          public double[] evaluate(Phrase[] population)

      Specified by:
        `evaluate` in class `FitnessEvaluater`

    - #### getPanel

          public java.awt.Panel getPanel()

      Overrides:
        `getPanel` in class `GAComponent`

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `GAComponent`